HEIF-ENC(1)

NAME
heif-enc - convert image to HEIC/HEIF

SYNOPSIS
heif-enc [-h|--help] [-q QUALITY|--quality QUALITY] [-L|--lossless] [-t SIZE|--thumb SIZE] [--no-alpha] [--no-thumb-alpha] [-o FILENAME|--output FILENAME] [-v|--verbose] [-P|--params] [-b DEPTH] [-p NAME=VALUE] filename[.jpg|.png|.y4m]

DESCRIPTION
heif-enc Convert image to HEIC/HEIF.

OPTIONS

-q QUALITY, --quality QUALITY
    Defines quality level between 0 and 100 for the generated output file.

-L, --lossless
    Generate lossless output (-q has no effect)

-t SIZE, --thumb SIZE
    Generate thumbnail with maximum size SIZE pixels (default: off).

--no-alpha
    Do not save alpha channel.

--no-thumb-alpha
    Do not save alpha channel in thumbnail image.

-o FILENAME, --output FILENAME
    Output filename (optional).

--verbose
    Enable logging output (more will increase logging level).

-P, --params
    Show all encoder parameters and exit. Input file is not required or used.

-b DEPTH
    Bit-depth of generated HEIF file when using 16-bit PNG input (default: 10 bit).

-p NAME=VALUE
    Set additional encoder parameters. See NOTES below.

EXIT STATUS

0
    Success

1
    Failure (syntax or usage error; error while loading, converting or writing image).

NOTES
The available input formats depend on the libraries that were available at compile time. Supported are JPEG, PNG and Y4M, the file type is determined based on the extension of the input file. When specifying multiple source images, they will all be saved into the same HEIF file. When using the x265 encoder, you may pass it any of its parameters by prefixing the parameter name with x265:. Hence, to set the ctu parameter, you will have to set x265:ctu in libheif (e.g.: -p x265:ctu=64). Note that there is no checking for valid parameters when using the prefix.

BUGS
Please reports bugs or issues at https://github.com/strukturag/libheif

AUTHORS
Dirk Farin, struktur AG

COPYRIGHT
Copyright © 2017 struktur AG